APINHI
List NHI sources
List NHI sources. Credential values are never returned.
GET
List NHI sources. Credential values are never returned.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_nhioffset?integerNumber of items to skip before returning results.
Format
int32Range
0 <= valueDefault
0limit?integerMaximum number of items to return per page.
Format
int32Range
0 <= value <= 256Default
10The request has succeeded.
application/json- response
A page of results together with its paging information.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/nhi/sources"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "microsoft_entra", "name": "string", "external_id": "string", "status": "connected", "last_checked_at": "2019-08-24T14:15:22Z", "config": { "provider": "microsoft_entra", "tenant_id": "string", "client_id": "string", "has_client_secret": true }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}